#ifndef PAMVMC_DET_CAS_H
#define PAMVMC_DET_CAS_H

#include "PamVMCDetector.h"

#include "PamVMCCasSD.h"

class PamVMCCasSD;

class PamVMCDetCas  : public PamVMCDetector {

 public:


   PamVMCDetCas():PamVMCDetector("Cas") 
  { ;    };
 
  void DefineGeometry();

  void DefineCuts();

  virtual void InitMC(){

    TString t = "SID1";
    PamVMCCasSD *sid1 = new PamVMCCasSD();
    fdetSD.Add(new TObjString(t), sid1);
    PamVMCSDMgr::Instance()->SetSD("SID1",sid1);

  }

  ClassDef(PamVMCDetCas,1)
};


#endif //PAMVMC_DET_CAS_H
